# Visualization
TKV3d
DsgPrs

# DsgPrs_XYZPlanePresentation Class Reference

A framework for displaying the planes of an XYZ trihedron.
.

`#include <DsgPrs_XYZPlanePresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &aPt1, const gp_Pnt &aPt2, const gp_Pnt &aPt3)
| Draws each plane of a trihedron displayed in the presentation aPresentation and with attributes defined by the attribute manager aDrawer. Each triangular plane is defined by the points aPt1 aPt2 and aPt3. .

## Member Function Documentation

static Standard_EXPORT void DsgPrs_XYZPlanePresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | aPt1,
|  | const gp_Pnt & | aPt2,
|  | const gp_Pnt & | aPt3
| ) | `[static]`

void DsgPrs_XYZPlanePresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_XYZPlanePresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_XYZPlanePresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_XYZPlanePresentation.hxx